﻿using Dynamicweb.Extensibility.Notifications;

namespace Dynamicweb.Ecommerce.LiveIntegration.NotificationSubscribers
{
    /// <summary>
    /// Sends an update to the ERP when the cart is changed.
    /// </summary>
    [Subscribe(Ecommerce.Notifications.Ecommerce.Cart.AfterShippingMethodIsChanged)]
    public class AfterShippingMethodIsChanged : NotificationSubscriberBase
    {
        /// <summary>
        /// Handles the notification.
        /// </summary>
        /// <param name="notification">The notification.</param>
        /// <param name="args">The args.</param>
        public override void OnNotify(string notification, NotificationArgs args)
        {
            if (args is Ecommerce.Notifications.Ecommerce.Cart.AfterShippingMethodIsChangedArgs && LiveShippingFeeProvider.IsShippingHandledByDynamicweb)
            {
                var item = (Ecommerce.Notifications.Ecommerce.Cart.AfterShippingMethodIsChangedArgs)args;
                if (item.Order != null && !item.Order.Complete)
                {
                    UpdateOrder(item.Order, "AfterShippingMethodIsChanged");
                }
            }
        }
    }
}