﻿using Dynamicweb.Extensibility.Notifications;

namespace Dynamicweb.Ecommerce.LiveIntegration.NotificationSubscribers
{
    /// <summary>
    /// Gets updated product information before it's rendered.
    /// </summary>
    /// <seealso cref="NotificationSubscriberBase" />
    [Subscribe(Ecommerce.Notifications.Ecommerce.Product.BeforeRender)]
    public class ProductBeforeRender : NotificationSubscriberBase
    {
        /// <summary>
        /// Handles the notification.
        /// </summary>
        /// <param name="notification">The notification.</param>
        /// <param name="args">The args.</param>
        public override void OnNotify(string notification, NotificationArgs args)
        {
            if (!CanCheckPrice)
            {
                return;
            }

            var myArgs = (Ecommerce.Notifications.Ecommerce.Product.BeforeRenderArgs)args;

            // Set product info
            SetProductInformation(myArgs.Product, 1);
        }
    }
}