﻿using System;

namespace Dynamicweb.Ecommerce.LiveIntegration.Products
{
    /// <summary>
    /// Stores information about the last communication with the EPR for products.
    /// </summary>
    internal class FetchProductInfoResult
    {
        /// <summary>
        /// Gets or sets the date and time of the last execution.
        /// </summary>
        /// <value>The executed.</value>
        public DateTime Executed { get; set; } = DateTime.Now;

        /// <summary>
        /// Gets or sets a value indicating whether this <see cref="FetchProductInfoResult"/> is a response.
        /// </summary>
        /// <value><c>true</c> if response; otherwise, <c>false</c>.</value>
        public bool Response { get; set; }
    }
}